@use "@angular/material" as mat;
@import "../../../../styles.scss";

.content {
  padding: 24px;
}

.page-wrap {
  display: flex !important;
  flex-direction: column !important;
  min-height: 100vh !important;
}

.content-router-outlet {
  flex: 1;
}

// content height
::ng-deep.mat-drawer-content {
  height: 89.1% !important;
}

mat-sidenav-container {
  overflow: hidden;
}

mat-sidenav {
  width: 300px;
  background: #f1f1f1;
  height: 100%;
  overflow: hidden;
}

:host ::ng-deep .mat-drawer-inner-container {
  overflow: hidden !important;
  padding: 20px 0 20px 0;
}

mat-sidenav-content {
  overflow: hidden;
}

.md-intro-container {
  display: flex;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: center;
  border-bottom: 1px solid #e5e5e5;
  margin-bottom: 20px;
  margin-left: 20px;
}

.spacebetween {
  justify-content: space-between !important;
}

.md-intro-container h6 {
  margin-right: 30px;
  margin-top: 30px !important;
}

.sectiontitle9 {
  color: #671c9d;
  margin-bottom: 0;
  border-bottom: none;
  font-size: 16px;
  font-weight: 600;
  line-height: 30px;
  padding: 0;
}

.mat-mdc-header-cell {
  color: #671c9d;
  background: #e8e5ec !important;
}

.btn-grid-action {
  cursor: pointer;
  background: transparent;
  border: none;
  color: #0366d6;
  padding: 0;
  min-width: 10px;
}
.btn-grid-action i {
  font-size: 14px !important;
}
.btn-grid-action:hover {
  background: none;
  color: #0366d6;
}

.mdl-button.mdl-js-button[disabled] {
  color: #b3b3b3;
  border-color: #d3d1d1;
  cursor: not-allowed;
  background: #efefef;
}

.font-weight500 {
  font-weight: 500;
}

.pagination-container {
  display: flex;
  align-items: center;
}

.pagination-text {
  flex: 1;
}

.catalogs-container {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  height: 100%;
  gap: 30px;
  margin: 20px;
}

.mat-mdc-paginator {
  background-color: transparent !important;
}

.table-container {
  flex-grow: 2 !important;
}

.filter {
  display: flex;
  justify-content: flex-end;
}

.custom-icon {
  background-color: transparent !important;
  border: none !important;
  color: mat.get-color-from-palette($graphene-ui-primary);
  cursor: pointer;

  mat-icon {
    font-size: 16px !important;
  }
}

.actions-container {
  display: flex;
}

.custom-icon[disabled] {
  color: #b3b3b3;
  border-color: #d3d1d1;
  cursor: not-allowed;
  background: #efefef;
}

.controls-container {
  display: flex;
  gap: 20px;
  justify-content: space-between;
  align-items: center;
}
